datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingchromosome212210bhsentrezg <- function() showQCData("tilingchromosome212210bhsentrezg", datacache)
tilingchromosome212210bhsentrezg_dbconn <- function() dbconn(datacache)
tilingchromosome212210bhsentrezg_dbfile <- function() dbfile(datacache)
tilingchromosome212210bhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingchromosome212210bhsentrezg_dbInfo <- function() dbInfo(datacache)

tilingchromosome212210bhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingchromosome212210bhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilingchromosome212210bhsentrezg", "chip tilingchromosome212210bhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingchromosome212210bhsentrezg_dbconn())
}

